3D Models
Get a generated model
Get a generated model.
GET
/
v1
/
models
/
{modelId}
Get a generated model
curl --request GET \
--url https://api.mint.gg/v1/models/{modelId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mint.gg/v1/models/{modelId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mint.gg/v1/models/{modelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "<unknown>",
"id": "<string>",
"name": "<string>",
"status": "<string>",
"operation": {
"workflowStage": "<string>",
"lastError": "<string>"
},
"mintUrl": "<string>",
"assets": {
"fbxUrl": "<string>",
"glbUrl": "<string>",
"glbSizeBytes": 1,
"objUrl": "<string>",
"optimizedGlbUrl": "<string>",
"optimizedGlbSizeBytes": 1,
"previewImageUrl": "<string>",
"stlUrl": "<string>",
"thumbnailUrl": "<string>",
"usdzUrl": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1
}
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1
}
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1
}
}{
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1
}
}Authorizations
Mint API key sent as a Bearer token.
Path Parameters
Response
Generated model resource.
An account-owned Mint 3D Model.
Stable object discriminator.
Mint 3D Model ID.
3D Model title shown in Mint.
Current 3D Model processing status.
Whether the available asset is a Preview or final 3D Model.
Available options:
preview, final, null Current workflow information for this 3D Model.
Show child attributes
Show child attributes
Human-facing link to open this 3D Model in Mint.
3D Model download URLs, or null before files are available.
Show child attributes
Show child attributes
When the 3D Model was created.
When the 3D Model last changed.
⌘I
Get a generated model
